/*****************************************************************************/
/*                                                                           */
/*  Hyperpanel OS                       File "include/varenv.h"              */
/*  Constants and definitions for environment variable.                      */
/*                                                                           */
/*  Author : FA                         Last modification : 04/11/2016       */
/*                                                                           */
/*  (c) Copyright Hyperpanel Lab, All Rights Reserved                        */
/*  IDDN.FR.001.320001.*.S.P.1990.000.10000                                  */
/*                                                                           */
/*****************************************************************************/


/*  Some explanations ========================================================


         1  Defines
         2  Structures and typedefs
         3  Public variable
         4  Prototypes of public procedures


*/


#ifndef VARENV_H                       /* If this file is not already        */
#define VARENV_H                       /* included, include it.              */


/*
    1    Defines
    ____________
*/


/*
    2    Structures and typedefs
    ____________________________
*/


typedef struct                         /* Procedures d'interface CIL.        */
  BEGIN                                /* ---------------------------------- */
    IWORD        (*load_mod_env   )(); /* Lire les modules a charger a l'init*/
    IWORD        (*replace_var_env)(); /* Remplacer var par sa valeur.       */
    IWORD        (*get_modscr     )(); /* Init ecran module de boot.         */
  END              Hint_varenv       ; /* ---------------------------------- */


/*
    3    Public variables
    _____________________
*/


/*
    4    Prototypes of public procedures
    ____________________________________
*/


#endif                                 /* End of VARENV_H.                   */
